import { IChangeAttributes, IChangePassword, IConfirmSignUp, IForgotPassword, IForgotPasswordSubmit, IResendConfirmationCode, ISignIn, ISignOut, ISignUp, ISignUpSuccessful, ISignInSuccessful } from '../actions/interfaces';
interface IAuthState {
    email: string;
    password: string;
    firstName: string;
    lastName: string;
    isAuthenticated: boolean;
}
declare type IAction = IChangeAttributes | IChangePassword | IConfirmSignUp | IForgotPassword | IForgotPasswordSubmit | IResendConfirmationCode | ISignIn | ISignOut | ISignUp | ISignUpSuccessful | ISignInSuccessful;
declare const _default: (state: IAuthState | undefined, action: IAction) => IAuthState;
export default _default;
